//
//  DropDownMenu.h
//  QQSafetyCenter
//
//  Created by 曾诗亮 on 2017/1/13.
//  Copyright © 2017年 zsl. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Masonry.h"

typedef void(^ShowTitle)(NSString *str);

@interface DropDownMenu : UIView

@property (copy, nonatomic) ShowTitle showtitle;

- (void)showTitle:(ShowTitle)block;

- (instancetype)initWithImages:(NSArray *)images titles:(NSArray *)titles;

- (void)showMenu;

- (void)hideMenu;

@end
