//
//  ViewController.m
//  QQSafetyCenter
//
//  Created by 曾诗亮 on 2017/1/13.
//  Copyright © 2017年 zsl. All rights reserved.
//

#import "ViewController.h"
#import "DropDownMenu.h"

@interface ViewController ()

@property (strong, nonatomic) UIBarButtonItem *rightItem;

@end

@implementation ViewController
{
    DropDownMenu *_dropDownMenu;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    
    [self creatUI];
}

#pragma mark - private
- (void)creatUI
{
    self.navigationItem.rightBarButtonItem = self.rightItem;
    
    _dropDownMenu = [[DropDownMenu alloc] initWithImages:@[@"left",@"right"] titles:@[@"帮助",@"获取验证消息"]];
    [_dropDownMenu showTitle:^(NSString *str) {
        NSLog(@"str: %@", str);
    }];
    
}

#pragma mark - 懒加载
- (UIBarButtonItem *)rightItem
{
    if (!_rightItem) {
        _rightItem = [[UIBarButtonItem alloc] initWithImage:[UIImage imageNamed:@"arrow"] style:UIBarButtonItemStylePlain target:self action:@selector(clickRightItem:)];
    }
    return _rightItem;
}

- (void)clickRightItem:(UIBarButtonItem *)sender
{
    
    [_dropDownMenu showMenu];
    
}

@end
